/* ============================================================================
 * File Name: DDS24_sync
 * 
 * Description:
 *   this demo shows hardware syncronization of two DDS24 components,
 *   operating at the same frequency. When hardware reset is applied
 *   to the reset input, the phases of both DDS becomes re-aligned.
 *
 *   Comment/uncomment CReg_RES_Write(1); line to obserbe the effect of
 *   hardware reset on the oscilloscope.
 *
 * Uses DDS24_v0_1.
 *
 * ============================================================================
 * PROVIDED AS-IS, NO WARRANTY OF ANY KIND, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * FREE TO SHARE, USE AND MODIFY UNDER TERMS: CREATIVE COMMONS - SHARE ALIKE
 * ============================================================================
*/


#include <project.h>



void Initialize(void)
{   
    DDS_1_Start();      // start DDS_1 
    CyDelayUs(100);     // introduce some delay for testing of reset input
    DDS_2_Start();      // start DDS_2 (phases are not sync-ed) 
        
    // comment this line to see phase shift between DDS_1 and DDS_2 
    CReg_RES_Write(1);  // synchronize DDS_1 and DDS_2 phases
}


int main()
{
    Initialize();
        
    for(;;){} // forever..
}

/* [] END OF FILE */
